# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.100
  - 9b3f9a5b12dc Linux 6.1.100
  - f4ab7cb38153 i2c: rcar: fix error code in probe()
  - cc4061f5ce1e kbuild: Make ld-version.sh more robust against version string changes
  - a765679defe1 x86/bhi: Avoid warning in #DB handler due to BHI mitigation
  - e9a064369408 x86/entry/64: Remove obsolete comment on tracing vs. SYSRET
  - 6a4279b54587 i2c: rcar: clear NO_RXDMA flag after resetting
  - 72a317f25221 i2c: testunit: avoid re-issued work after read message
  - af000c129fd4 i2c: rcar: ensure Gen3+ reset does not disturb local targets
  - 7a9dd12742a7 i2c: rcar: introduce Gen4 devices
  - 86670d773287 i2c: rcar: reset controller is mandatory for Gen3+
  - b30679daf9da i2c: mark HostNotify target address as used
  - 4306fec13d45 i2c: rcar: bring hardware to known state when probing
  - bfaf0990f14e sched: Move psi_account_irqtime() out of update_rq_clock_task() hotpath
  - 1a8879c0771a nilfs2: fix kernel bug on rename operation of broken directory
  - bbac91d57ac2 bpf: Allow reads from uninit stack
  - 260fde4c3440 x86/retpoline: Move a NOENDBR annotation to the SRSO dummy return thunk
  - c6e06ce34392 misc: fastrpc: Copy the complete capability structure to user
  ACK: uli
  - f6cdce36ee7a misc: fastrpc: Avoid updating PD type for capability request
  ACK: uli
  - 943f153d1f9d misc: fastrpc: Fix DSP capabilities request
  ACK: uli
  - a8ba8f3468d3 wireguard: send: annotate intentional data race in checking empty queue
  ACK: uli
  - 504bae06bcb7 wireguard: queueing: annotate intentional data race in cpu round robin
  ACK: uli
  - 217978a29c6c wireguard: allowedips: avoid unaligned 64-bit memory accesses
  ACK: uli
  - f7c5999b00c0 wireguard: selftests: use acpi=off instead of -no-acpi for recent QEMU
  ACK: uli
  - ba29d022ad8a ACPI: processor_idle: Fix invalid comparison with insertion sort for latency
  ACK: uli
  - 2d33654d40a0 libceph: fix race between delayed_work() and ceph_monc_stop()
  ACK: uli
  - 14875fd5f9bc Fix userfaultfd_api to return EINVAL as expected
  ACK: uli
  - dd9817d8a659 ALSA: hda/realtek: Limit mic boost on VAIO PRO PX
  ACK: uli
  - e0bbfdbf462a ALSA: hda/realtek: Enable Mute LED on HP 250 G7
  ACK: uli
  - eda2f2dce2ed ALSA: hda/realtek: add quirk for Clevo V5[46]0TU
  ACK: uli
  - e030aa6c9726 platform/x86: toshiba_acpi: Fix array out-of-bounds access
  ACK: uli
  - 513789f25533 nvmem: core: only change name to fram for current attribute
  ACK: uli
  - dfa728e059b5 nvmem: meson-efuse: Fix return value of nvmem callbacks
  ACK: uli
  - df3c22ee6f20 nvmem: rmem: Fix return value of rmem_read()
  ACK: uli
  - 66cf853e1c7a ksmbd: discard write access to the directory open
  ACK: uli
  - 85ec2ee3bc28 xhci: always resume roothubs if xHC was reset during resume
  ACK: uli
  - b19301437386 hpet: Support 32-bit userspace
  ACK: uli
  - 9edcf317620d USB: core: Fix duplicate endpoint bug by clearing reserved bits in the descriptor
  ACK: uli
  - 2d16f63d8030 usb: gadget: configfs: Prevent OOB read/write in usb_string_copy()
  ACK: uli
  - eb41091e2420 USB: Add USB_QUIRK_NO_SET_INTF quirk for START BP-850k
  ACK: uli
  - 1094ed500987 USB: serial: mos7840: fix crash on resume
  ACK: uli
  - 366340a2c8ff USB: serial: option: add Rolling RW350-GL variants
  ACK: uli
  - 4209a49f1da6 USB: serial: option: add Netprisma LCUK54 series modules
  ACK: uli
  - f3afeaf65f7f USB: serial: option: add support for Foxconn T99W651
  ACK: uli
  - 5ec5c27e1e72 USB: serial: option: add Fibocom FM350-GL
  ACK: uli
  - 9c0be3c7974e USB: serial: option: add Telit FN912 rmnet compositions
  ACK: uli
  - 1064b4f4d54d USB: serial: option: add Telit generic core-dump composition
  ACK: uli
  - 5be604944c67 net: ks8851: Fix potential TX stall after interface reopen
  ACK: uli
  - a0c69c492f4a net: ks8851: Fix deadlock with the SPI chip variant
  ACK: uli
  - e113cddefa27 tcp: avoid too many retransmit packets
  ACK: uli
  - 6665b3d7abe5 tcp: use signed arithmetic in tcp_rtx_probe0_timed_out()
  ACK: uli
  - d467194018dd Revert "sched/fair: Make sure to try to detach at least one movable task"
  ACK: uli
  - 931fa0799c14 cifs: fix setting SecurityFlags to true
  ACK: uli
  - 121fce5cb1de octeontx2-af: fix issue with IPv4 match for RSS
  ACK: uli
  - 67c8c20feab5 octeontx2-af: fix issue with IPv6 ext match for RSS
  ACK: uli
  - 7730af2913df octeontx2-af: extend RSS supported offload types
  ACK: uli
  - a69534fff501 octeontx2-af: fix detection of IP layer
  ACK: uli
  - 329346eb5e7a octeontx2-af: fix a issue with cpt_lf_alloc mailbox
  ACK: uli
  - 1ee5d75ace0a octeontx2-af: update cpt lf alloc mailbox
  ACK: uli
  - b2ef3c4d3d32 octeontx2-af: replace cpt slot with lf id on reg write
  ACK: uli
  - b8dbddb47a84 ARM: davinci: Convert comma to semicolon
  ACK: uli -- not a real-life bug
  - 16d76857d6b5 firmware: cs_dsp: Use strnlen() on name fields in V1 wmfw files
  ACK: uli
  - 6619aa48a011 firmware: cs_dsp: Prevent buffer overrun when processing V2 alg headers
  ACK: uli
  - 259955eca9b7 firmware: cs_dsp: Validate payload length before processing block
  ACK: uli
  - b8be70566b33 firmware: cs_dsp: Return error if block header overflows file
  ACK: uli
  - fd035f0810b3 firmware: cs_dsp: Fix overflow checking of wmfw header
  ACK: uli
  - a305c7ecbde5 s390: Mark psw in __load_psw_mask() as __unitialized
  IGN: uli
  - f2431e7db0fe net, sunrpc: Remap EPERM in case of connection failure in xs_tcp_setup_socket
  ACK: uli
  - 4e71b10a1008 net/sched: Fix UAF when resolving a clash
  ACK: uli
  - a6db0d3ea653 udp: Set SOCK_RCU_FREE earlier in udp_lib_get_port().
  ACK: uli
  - 284f2f288f9c ethtool: netlink: do not return SQI value if link is down
  ACK: uli
  - 3134bdf7356e ppp: reject claimed-as-LCP but actually malformed packets
  ACK: uli
  - d64ce5bd71b4 net: ethernet: mtk-star-emac: set mac_managed_pm when probing
  ACK: uli -- semi-cosmetic
  - 6c4fca786415 bpf: fix order of args in call to bpf_map_kvcalloc
  ACK: uli -- warning fix
  - d71bed34bc1d bpf: Remove __bpf_local_storage_map_alloc
  ACK: uli -- part of a huge dependency chain for a trivial warning fix
  - 902219ed3f23 bpf: use bpf_map_kvcalloc in bpf_local_storage
  ACK: uli -- part of a huge dependency chain for a trivial warning fix
  - 56161b324beb bpf: Reduce smap->elem_size
  ACK: uli -- part of a huge dependency chain for a trivial warning fix
  - 3dbcc6f05312 bpf: Refactor some inode/task/sk storage functions for reuse
  ACK: uli -- part of a huge dependency chain for a trivial warning fix
  - c2b66e2b3939 net: ethernet: lantiq_etop: fix double free in detach
  ACK: uli
  - 4bc336b2345f i40e: Fix XDP program unloading while removing the driver
  ACK: uli
  - 7382fc5dd13c net: fix rc7's __skb_datagram_iter()
  ACK: uli
  - 61b2cda8aa68 octeontx2-af: Fix incorrect value output on error path in rvu_check_rsrc_availability()
  ACK: uli -- semi-cosmetic
  - fb61d7b9fb6e skmsg: Skip zero length skb in sk_msg_recvmsg
  ACK: uli
  - de29f17b2a0b net: phy: microchip: lan87xx: reinit PHY after cable test
  ACK: uli
  - 72d39b88790b tcp: fix incorrect undo caused by DSACK of TLP retransmit
  ACK: uli
  - f6f6fdcc31b6 vfs: don't mod negative dentry count when on shrinker list
  ACK: uli
  - 4e910c66201a fs/dcache: Re-use value stored to dentry->d_flags instead of re-reading
  ACK: uli
  - 5cb36e35bc10 filelock: fix potential use-after-free in posix_lock_inode
  ACK: uli
  - 97cfd5e20ddc cachefiles: add missing lock protection when polling
  ACK: uli
  - 35710c6c4a1c cachefiles: cyclic allocation of msg_id to avoid reuse
  ACK: uli
  - ec9289369259 cachefiles: wait for ondemand_object_worker to finish when dropping object
  ACK: uli
  - 4131c5958f3d cachefiles: cancel all requests for the object that is being dropped
  ACK: uli
  - 16d47ba6ca1d cachefiles: stop sending new request when dropping object
  ACK: uli
  - 0e19a18f998d cachefiles: narrow the scope of triggering EPOLLIN events in ondemand mode
  ACK: uli
  - 2a54bd7b90b0 cachefiles: propagate errors from vfs_getxattr() to avoid infinite loop
  ACK: uli
  - 941e81618566 mm: prevent derefencing NULL ptr in pfn_section_valid()
  ACK: uli
  - 6ac66ef65320 Compiler Attributes: Add __uninitialized macro
